#include "animation_with_size.hpp"

namespace duck {
	AnimationWithSize::AnimationWithSize (nana::size sz, std::size_t fps) :
		nana::animation(),
		m_size(sz)
	{
		this->fps(fps);
	}

	AnimationWithSize::AnimationWithSize (AnimationWithSize&& other) :
		nana::animation(std::move(other)),
		m_size(std::move(other.m_size))
	{
	}

	AnimationWithSize::~AnimationWithSize() noexcept = default;

	AnimationWithSize& AnimationWithSize::operator= (AnimationWithSize&& other) {
		m_size = std::move(other.m_size);
		*static_cast<nana::animation*>(this) = std::move(other);
		return *this;
	}
} //namespace duck
